com.genesyslab.wfm8.API.service.schedule851

## Class SchActivitySet

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule851.SchActivitySet

- All Implemented Interfaces:
    java.io.Serializable

      public class SchActivitySet
      extends java.lang.Object
      implements java.io.Serializable

  Provides information about Activity Sets in Schedule Agent Day
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected java.util.List<java.lang.Integer>` | `wmActivities`
    `protected int` | `wmActivitiesNSizeIs`
    `protected int` | `wmActivitySetId`
    `protected java.util.List<SchAvailability>` | `wmAvailabilities`
    `protected int` | `wmAvailabilitiesNSizeIs`
    `protected int` | `wmRefId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchActivitySet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getWmActivities()` Gets the value of the wmActivities property.
    `int` | `getWmActivitiesNSizeIs()` Gets the value of the wmActivitiesNSizeIs property.
    `int` | `getWmActivitySetId()` Gets the value of the wmActivitySetId property.
    `java.util.List<SchAvailability>` | `getWmAvailabilities()` Gets the value of the wmAvailabilities property.
    `int` | `getWmAvailabilitiesNSizeIs()` Gets the value of the wmAvailabilitiesNSizeIs property.
    `int` | `getWmRefId()` Gets the value of the wmRefId property.
    `int` | `hashCode()`
    `void` | `setWmActivities(java.util.List<java.lang.Integer> wmActivities)` Sets the value of the wmActivities property.
    `void` | `setWmActivitiesNSizeIs(int value)` Sets the value of the wmActivitiesNSizeIs property.
    `void` | `setWmActivitySetId(int value)` Sets the value of the wmActivitySetId property.
    `void` | `setWmAvailabilities(java.util.List<SchAvailability> wmAvailabilities)` Sets the value of the wmAvailabilities property.
    `void` | `setWmAvailabilitiesNSizeIs(int value)` Sets the value of the wmAvailabilitiesNSizeIs property.
    `void` | `setWmRefId(int value)` Sets the value of the wmRefId property.
    `java.lang.String` | `toString()`
    `SchActivitySet` | `withWmActivities(java.util.Collection<java.lang.Integer> values)`
    `SchActivitySet` | `withWmActivities(java.lang.Integer... values)`
    `SchActivitySet` | `withWmActivitiesNSizeIs(int value)`
    `SchActivitySet` | `withWmActivitySetId(int value)`
    `SchActivitySet` | `withWmAvailabilities(java.util.Collection<SchAvailability> values)`
    `SchActivitySet` | `withWmAvailabilities(SchAvailability... values)`
    `SchActivitySet` | `withWmAvailabilitiesNSizeIs(int value)`
    `SchActivitySet` | `withWmRefId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmActivitySetId

          protected int wmActivitySetId

    - #### wmRefId

          protected int wmRefId

    - #### wmActivitiesNSizeIs

          protected int wmActivitiesNSizeIs

    - #### wmActivities

          protected java.util.List<java.lang.Integer> wmActivities

    - #### wmAvailabilitiesNSizeIs

          protected int wmAvailabilitiesNSizeIs

    - #### wmAvailabilities

          protected java.util.List<SchAvailability> wmAvailabilities

  - ### Constructor Detail

    - #### SchActivitySet

          public SchActivitySet()

  - ### Method Detail

    - #### getWmActivitySetId

          public int getWmActivitySetId()

      Gets the value of the wmActivitySetId property.

    - #### setWmActivitySetId

          public void setWmActivitySetId(int value)

      Sets the value of the wmActivitySetId property.

    - #### getWmRefId

          public int getWmRefId()

      Gets the value of the wmRefId property.

    - #### setWmRefId

          public void setWmRefId(int value)

      Sets the value of the wmRefId property.

    - #### getWmActivitiesNSizeIs

          public int getWmActivitiesNSizeIs()

      Gets the value of the wmActivitiesNSizeIs property.

    - #### setWmActivitiesNSizeIs

          public void setWmActivitiesNSizeIs(int value)

      Sets the value of the wmActivitiesNSizeIs property.

    - #### getWmActivities

          public java.util.List<java.lang.Integer> getWmActivities()

      Gets the value of the wmActivities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmActivities property.

      For example, to add a new item, do as follows:

              getWmActivities().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmAvailabilitiesNSizeIs

          public int getWmAvailabilitiesNSizeIs()

      Gets the value of the wmAvailabilitiesNSizeIs property.

    - #### setWmAvailabilitiesNSizeIs

          public void setWmAvailabilitiesNSizeIs(int value)

      Sets the value of the wmAvailabilitiesNSizeIs property.

    - #### getWmAvailabilities

          public java.util.List<SchAvailability> getWmAvailabilities()

      Gets the value of the wmAvailabilities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAvailabilities property.

      For example, to add a new item, do as follows:

              getWmAvailabilities().add(newItem);

      Objects of the following type(s) are allowed in the list `SchAvailability`

    - #### withWmActivitySetId

          public SchActivitySet withWmActivitySetId(int value)

    - #### withWmRefId

          public SchActivitySet withWmRefId(int value)

    - #### withWmActivitiesNSizeIs

          public SchActivitySet withWmActivitiesNSizeIs(int value)

    - #### withWmActivities

          public SchActivitySet withWmActivities(java.lang.Integer... values)

    - #### withWmActivities

          public SchActivitySet withWmActivities(java.util.Collection<java.lang.Integer> values)

    - #### withWmAvailabilitiesNSizeIs

          public SchActivitySet withWmAvailabilitiesNSizeIs(int value)

    - #### withWmAvailabilities

          public SchActivitySet withWmAvailabilities(SchAvailability... values)

    - #### withWmAvailabilities

          public SchActivitySet withWmAvailabilities(java.util.Collection<SchAvailability> values)

    - #### setWmActivities

          public void setWmActivities(java.util.List<java.lang.Integer> wmActivities)

      Sets the value of the wmActivities property.
      Parameters:
        `wmActivities` - allowed object is `Integer`

    - #### setWmAvailabilities

          public void setWmAvailabilities(java.util.List<SchAvailability> wmAvailabilities)

      Sets the value of the wmAvailabilities property.
      Parameters:
        `wmAvailabilities` - allowed object is `SchAvailability`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.